{
    attributes = (
        {
            columnName = "AFC_ORDRE"; 
            externalType = NUMBER; 
            name = afcOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "AFF_ORDRE"; 
            externalType = NUMBER; 
            name = affOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = TIMESTAMP; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = TIMESTAMP; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "NO_SEQ_AFFECTATION"; 
            externalType = NUMBER; 
            name = noSeqAffectation; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (afcOrdre, affOrdre, noSeqAffectation); 
    className = "org.cocktail.connecteur.serveur.modele.correspondance.EOAffectationCorresp"; 
    classProperties = (dCreation, dModification, affectation, affectationMangue); 
    externalName = "IMPORT.AFFECTATION_CORRESP"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (affectation, affectationMangue, dCreation, dModification); 
        "_javaClientClassName" = "org.cocktail.connecteur.client.modele.correspondance.EOAffectationCorresp"; 
    }; 
    name = AffectationCorresp; 
    primaryKeyAttributes = (afcOrdre); 
    relationships = (
        {
            destination = Affectation; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = affOrdre; sourceAttribute = affOrdre; }); 
            name = affectation; 
        }, 
        {
            destination = MangueAffectation; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = noSeqAffectation; sourceAttribute = noSeqAffectation; }
            ); 
            name = affectationMangue; 
        }
    ); 
    userInfo = {"_EntityModeler" = {parentClassName = ObjetCorresp; }; }; 
}
